/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// CameraCameraAndTarget.cpp: MGCameraCameraAndTargetTool クラスのインプリメンテーション

#include "stdafx.h"
#include "fugenDoc.h"
#include "ViewCmd/CameraCameraAndTarget.h"
#include "fugenView.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

// MGCameraCameraAndTargetTool

MGCameraCameraAndTargetTool::MGCameraCameraAndTargetTool(fugenView* pView)
: MGLocateState(pView->GetDocument(),
		 ID_VIEW_CAMERA_CAMERA_AND_TARGET,
		 NO_RUBBER,
		 POINT_IPDRAW),
	   m_pView(pView)
{
}


bool MGCameraCameraAndTargetTool::initiate_tool(){
	MGLocateState::initiate_tool();

	// 最初のメッセージ
	SetStatusMessage(IDS_PROMPT_CAMERA);
	return false;
}

// ????
void MGCameraCameraAndTargetTool::make_model(){
	ASSERT(!locates().empty());	
	AfxMessageBox(IDS_SORRY);
}

bool MGCameraCameraAndTargetTool::OnLocated(const MGLocateInfo& info){
	const LInfoVec& linfos=locates();
	size_t n = linfos.size();
	if(n==0){
		SetStatusMessage(IDS_PROMPT_CAMERA);
		return false;
	}else if(n== 1){
		SetStatusMessage(IDS_PROMPT_TARGET);
		return false;
	}
	
	make_model();
	return OnCommandEnd(1); // コマンド終了
}
